- Qt 6.10
- Qt GUI
- C++ Classes
- QVulkanLayer
- Qt 6.10.2 Reference Documentation

# QVulkanLayer Struct

Represents information about a Vulkan layer. More...

Header: | `#include <QVulkanLayer>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`

- List of all members, including inherited members

## Public Variables

QByteArray | description
QByteArray | name
QVersionNumber | specVersion
uint32_t | version

## Related Non-Members

size_t | qHash(const QVulkanLayer &key, size_t seed = 0)
bool | operator!=(const QVulkanLayer &lhs, const QVulkanLayer &rhs)
bool | operator==(const QVulkanLayer &lhs, const QVulkanLayer &rhs)

## Detailed Description

## Member Variable Documentation

### QByteArray QVulkanLayer::description

This variable holds the description of the layer.

### QByteArray QVulkanLayer::name

This variable holds the name of the layer.

### QVersionNumber QVulkanLayer::specVersion

This variable holds the Vulkan version the layer was written against.

### uint32_t QVulkanLayer::version

This variable holds the version of the layer. This is an integer, increasing with each backward compatible change.

## Related Non-Members

### `[noexcept]` size_t qHash(const QVulkanLayer &key, size_t seed = 0)

Returns the hash value for key, using seed to seed the calculation.

### `[noexcept]` bool operator!=(const QVulkanLayer &lhs, const QVulkanLayer &rhs)

Returns `true` if Vulkan layers lhs and rhs have different name, version, or spec version.

### `[noexcept]` bool operator==(const QVulkanLayer &lhs, const QVulkanLayer &rhs)

Returns `true` if Vulkan layers lhs and rhs have the same name, version, and spec version.